Search Results for

Show / Hide Table of Contents

# Enum ConsoleDriver.DiagnosticFlags

Enables diagnostic functions

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    [Flags]
    public enum DiagnosticFlags : uint

### Fields

Name | Description
--- | ---
FramePadding | When Enabled, DrawWindowFrame(Rect, Int32, Int32, Int32, Int32, Boolean, Boolean) will use 'L', 'R', 'T', and 'B' for padding instead of ' '.
FrameRuler | When enabled, DrawWindowFrame(Rect, Int32, Int32, Int32, Int32, Boolean, Boolean) will draw a ruler in the frame for any side with a padding value greater than 0.
Off | All diagnostics off